/**********************************************************************/
/* 

   Program: 	Settings for estimation MNP
   Subject:  	                		
   Date: 	14.9.99
   Author(s):   Michael Scheidler  
   Comments:    
	
		Available Models:
		45 : 	GAR- MNP
*/
/***********************************************************************/

/**********************************************************************/
/*** 			0. Libraries und external programs                 ***/
/**********************************************************************/

new;
#include DChPrgs.prg;
library cml, gaussx;

/**********************************************************************/

/**********************************************************************/
/***        	1.         Settings                                 ***/
/**********************************************************************/

/***        	1.1        Data	                                    ***/

/* data			= "C:\\ABCMNP\\gausdata\\estdata";*/
 data			      = "estdata";
 modstr                	= "estgar";    
/* outdir                	= "C:/ABCMNP/gaussout/";*/
 outdir                	= "";
 minzeil               	=    1;    
 maxzeil               	=  400; 

/***        	1.2.       CML-Algorithmus                  	    ***/
  
 _cml_Algorithm        	=    3;
 _cml_CovPar           	=    1;
 _cml_GradMethod       	=    1;
 _cml_DirTol           	= 1e-5;
 _cml_LineSearch		=    4;

 _cml_Bounds    		=  {   	-10000 10000,
								-10000 10000,
								-10000 10000,
								-10000 10000,
							 	0         10000,
							 	0         10000,
							 	0         10000,
							 	0         6.2830,
						 	 	0         6.2830,
						 	 	0         6.2830,
								0        10000,
								0        10000,
								0        10000   };

/***        	1.3.       Model			    	***/

 _model			=   45;  /* GAR */

mnp_func			=  2;
 _qdfrep            	=   20;   
 _qdfrlz               	=   100;  

 _IterKer		=  1000;  


                      
 fourtyp		=    1;   /* (1: A sin(wt+phi), 2: A sin(wt)+ b cos(wt) )  */
 
/***        1.4.      Variables                  		***/

 let depcen1           	= Pax;     /* endogenuous variables */    					
 let indcen1           	= nonstop
				elap_nst		   
				di_onl 
 				lh_onl  ; 	/* exogenuous variables */ 			
 let fourcen1            = depmin;
 let four_anz            = 3; 
 let four_per             = 1440;
 let corr1_on          	= 1;              	
 let corr2_on          	= 1;                 	
 let corrcen1          	= depmin;             	/* continuous correlation	*/
 let corrcen2          	= lh_onl;      	       /* dichotomous correlation	*/
 let ordcen1           	= marktno;           	/* odering variable - market 		*/
 let ordcen2           	= nummer;           	/* ordering  variable - alternatives 	*/

/***        1.5.     Start values                             ***/

 bpara_on              = 1; 
 bcorr_on               = 1; 
 bspec_on	      = 0; 
 bparam                = {             
                6.55		,
               -0.03		, 		
				0.82    	,	 
 				1.00		,
				0.92 	 	,
            	1.08		,
            	0.11     	,
	    		3.43		,
	    		2.74 		,	
            	2.01      
			 			};
 bcorr         	= {0.63,6.74,1.0}; 
 bspecial        	= 1;  

 rndstart	=  99;
 _ghkall	= 1;

/***************************************************************/

/***************************************************************/
/******************* 	Call Programm      *********************/
/***************************************************************/

#include DChoice0.prg;

/**************************End**********************************/

