/**********************************************************************/
/* 

   Program: 	Settings for estimation NL
   Subject:  	                		
   Date: 	14.9.99
   Author(s):   Michael Scheidler  
   Comments:    
	
		Available Models:
		 	NL
*/
/***********************************************************************/

/**********************************************************************/
/*** 			0. Libraries und external Programs                ***/
/**********************************************************************/

new;
#include DNLPrgs.prg;
library cml,gaussx;

/**********************************************************************/

/**********************************************************************/
/***        	1.         Settings                               ***/
/**********************************************************************/

/***        	1.1        Data                                 ***/

/* data			= "C:\\ABCMNP\\gausdata\\estdata";*/
 data                   = "estdata";
 modstr                	= "estnl";    
/* outdir                	= "C:/ABCMNP/gaussout/";*/
 outdir                	= "";
 minzeil               	=    1;    
 maxzeil               	=  400; 

/***        	1.2.       CML Algorithm                   	    ***/
  
 _cml_Algorithm        	=    3;
 _cml_CovPar           	=    1;
 _cml_GradMethod       	=    1;
 _cml_DirTol           	= 1e-5;
 _cml_LineSearch		=    4;



/***        1.4.      Variables                    ***/

 let depcen1           	= Pax;         		/* endogenuous variables 			*/     
 let indcen1           	= nonstop
				   elap_nst
                                   di_onl				   
 				   lh_onl  ; 		/* exogenuous variables 			*/
 let nestcen1           = nest6A;
 let ordcen1           	= marktno;           	/* odering variable - market 		*/
 let ordcen2           	= nummer;           	/* ordering  variable - alternatives 	*/

/***        1.5.     Start values                            ***/

 bpara_on              = 0; 

 bparam                = {     
   2.1915   ,      
   0.3672   };  

 _ghkall	= 1;

/***************************************************************/

/***************************************************************/
/******************* 	Call Programm      *********************/
/***************************************************************/

#include DChoiceN.prg;

/**************************End**********************************/

